%ifndef BPB_S
%define BPB_S

bits	16

OSName				db "DarkOS  "			
BytesPerSector		dw 512				; 0x7C00 + 11
SectorsPerCluster	db 1				; 0x7C00 + 13
ReservedSectors		dw 1				; 0x7C00 + 14
NumberOfFATs		db 2				; 0x7C00 + 16
RootDirEntries		dw 224				; 0x7C00 + 17
TotalSectors		dw 2880				; 0x7C00 + 19
MediaDescriptor		db 0xF0				; 0x7C00 + 21
SectorsPerFAT		dw 9				; 0x7C00 + 22
SectorsPerTrack		dw 18				; 0x7C00 + 24
NumberOfHeads		dw 2				; 0x7C00 + 26
HiddenSectors		dd 0				; 0x7C00 + 28
BigSectors			dd 0				; 0x7C00 + 32
DriveNumber			dw 0				; 0x7C00 + 36
BootSignature		db 0x29				; 0x7C00 + 38
SerialNumber		dd 0xA1A2A3A4		; 0x7C00 + 39
VolumeName			db "DarkOS     "	; 0x7C00 + 47
FileSystem			db "FAT12   "		; 0x7C00 + 58

%endif