#ifndef MULTIBOOT_H
#define MULTIBOOT_H

#include "util/types.h"

struct multiboot {
	uint32_t	flags;
	uint32_t	memory_low;
	uint32_t	memory_high;
	uint32_t	boot_device;
	uint32_t	cmd_line;
	uint32_t	mods_count;
	uint32_t	mods_addr;
	uint32_t	syms0;
	uint32_t	syms1;
	uint32_t	syms2;
	uint32_t	mmap_length;
	uint32_t	mmap_addr;
	uint32_t	drives_length;
	uint32_t	drives_addr;
	uint32_t	config_table;
	uint32_t	apm_table;
	uint32_t	vbe_control_info;
	uint32_t	vbe_mode_info;
	uint16_t	vbe_mode;
	uint16_t	vbe_interface_off;
	uint16_t 	vbe_interface_seg;
	uint16_t	vbe_interface_len;
};
typedef struct multiboot multiboot_t;

#endif