#ifndef TYPES_H
#define TYPES_H

// This file is used as a centralized location to define variable types of specific
// lengths. As we continue to develop for multiple platforms and hardware, we will
// start 

// Signed Values
typedef signed char			int8_t;
typedef signed short		int16_t;
typedef signed long			int32_t;
typedef signed long long	int64_t;

// Unsigned values
typedef unsigned char 		uint8_t;
typedef unsigned short		uint16_t;
typedef unsigned long		uint32_t;
typedef unsigned long long	uint64_t;

// Size_t
typedef unsigned int 		size_t;

// Variable Arguments List (va_list)
typedef unsigned char *		va_list;

#endif