#ifndef VIDEO_H
#define VIDEO_H

#include "util/types.h"

// This is the VGA Video Driver. It will allow us to write to video memory and
// print things out onto the screen

#define VIDEO_MEMORY	0xB8000		// 0xB8000 is the start of the video memory

// These are the various attributes
#define WHITE_TEXT		15

// Text definitions
#define COLUMNS			80
#define ROWS			25

// Text
void putch(char c);
void puts(const char * str, size_t len);

void printf(const char * str, ...);

// Screen
void clear_screen(void);
void scroll_screen(void);

#endif